name: ShellCheck
version: 0.4.7
id: ShellCheck-0.4.7-1v0sx5oDTF9BoGzz61tUYo
key: ShellCheck-0.4.7-1v0sx5oDTF9BoGzz61tUYo
license: GPL-3.0-only
maintainer: vidar@vidarholen.net
author: Vidar Holen
homepage: https://www.shellcheck.net/
synopsis: Shell script analysis tool
description:
    The goals of ShellCheck are:
    .
    * To point out and clarify typical beginner's syntax issues,
    that causes a shell to give cryptic error messages.
    .
    * To point out and clarify typical intermediate level semantic problems,
    that causes a shell to behave strangely and counter-intuitively.
    .
    * To point out subtle caveats, corner cases and pitfalls, that may cause an
    advanced user's otherwise working script to fail under future circumstances.
category: Static Analysis
abi: b43f482e0561b46a1d136d6c348edd36
exposed: True
exposed-modules:
    ShellCheck.AST ShellCheck.ASTLib ShellCheck.Analytics
    ShellCheck.Analyzer ShellCheck.AnalyzerLib ShellCheck.Checker
    ShellCheck.Checks.Commands ShellCheck.Checks.ShellSupport
    ShellCheck.Data ShellCheck.Formatter.CheckStyle
    ShellCheck.Formatter.Format ShellCheck.Formatter.GCC
    ShellCheck.Formatter.JSON ShellCheck.Formatter.TTY
    ShellCheck.Interface ShellCheck.Parser ShellCheck.Regex
hidden-modules: Paths_ShellCheck
import-dirs: /usr/local/lib/ghc/ShellCheck-0.4.7
library-dirs: /usr/local/lib/ghc/ShellCheck-0.4.7
dynamic-library-dirs: /usr/local/lib/ghc/ShellCheck-0.4.7
data-dir: /usr/local/share/hs-ShellCheck-0.4.7
hs-libraries: HSShellCheck-0.4.7-1v0sx5oDTF9BoGzz61tUYo
depends:
    QuickCheck-2.8.2-HnXF0X2VHAoBkZ6B5N45ie base-4.12.0.0
    containers-0.6.0.1 directory-1.3.3.0
    json-0.9.2-4zIh45kKURG4w9ScBnyxf0 mtl-2.2.2 parsec-3.1.13.0
    process-1.6.5.0 regex-tdfa-1.2.3.2-24BpKmE04Wg88SsVhgqjyZ
haddock-interfaces: /usr/local/share/doc/hs-ShellCheck-0.4.7/html/ShellCheck.haddock
haddock-html: /usr/local/share/doc/hs-ShellCheck-0.4.7/html
